class PcBase {

    init() {
        
        this.selectors = {
            colorPicker: '#main_color',
        };

        this.initColorPicker();
    }

    initColorPicker() {
        var mainColor = jQuery(this.selectors.colorPicker).val();
        jQuery(this.selectors.colorPicker).spectrum({
            preferredFormat: 'hex',
            color: mainColor,
            showInitial: true,
            showInput: true
        });
    }
}

window.PcBase = new PcBase;